Jack2: Jack::JackWaitThreadedDriver Class Reference

Jack2 1.9.12

Classes | Public Member Functions | Protected Member Functions | List of all members
Jack::JackWaitThreadedDriver Class Reference

Wrapper for a restartable threaded driver (e.g. JackNetDriver). More...

`#include <JackWaitThreadedDriver.h>`

Inheritance diagram for Jack::JackWaitThreadedDriver:

## Public Member Functions
| JackWaitThreadedDriver (JackDriver *net_driver)
bool | Init ()
bool | Execute ()
Public Member Functions inherited from Jack::JackThreadedDriver
| JackThreadedDriver (JackDriver *driver)
virtual int | Open ()
virtual int | Open (jack_nframes_t buffer_size, jack_nframes_t samplerate, bool capturing, bool playing, int inchannels, int outchannels, bool monitor, const char *capture_driver_name, const char *playback_driver_name, jack_nframes_t capture_latency, jack_nframes_t playback_latency)
virtual int | Close ()
virtual int | Process ()
virtual int | Attach ()
virtual int | Detach ()
virtual int | Read ()
virtual int | Write ()
virtual int | Start ()
virtual int | Stop ()
virtual bool | IsFixedBufferSize ()
virtual int | SetBufferSize (jack_nframes_t buffer_size)
virtual int | SetSampleRate (jack_nframes_t sample_rate)
virtual void | SetMaster (bool onoff)
virtual bool | GetMaster ()
virtual void | AddSlave (JackDriverInterface *slave)
virtual void | RemoveSlave (JackDriverInterface *slave)
virtual std::list< JackDriverInterface * > | GetSlaves ()
virtual int | ProcessReadSlaves ()
virtual int | ProcessWriteSlaves ()
virtual int | ProcessRead ()
virtual int | ProcessWrite ()
virtual int | ProcessReadSync ()
virtual int | ProcessWriteSync ()
virtual int | ProcessReadAsync ()
virtual int | ProcessWriteAsync ()
virtual int | ClientNotify (int refnum, const char *name, int notify, int sync, const char *message, int value1, int value2)
virtual JackClientControl * | GetClientControl () const
virtual bool | IsRealTime () const
virtual bool | IsRunning () const

## Protected Member Functions
virtual bool | ExecuteReal ()
Protected Member Functions inherited from Jack::JackThreadedDriver
void | SetRealTime ()

## Additional Inherited Members
Protected Attributes inherited from Jack::JackThreadedDriver
JackThread | fThread
JackDriver * | fDriver

## Detailed Description

Wrapper for a restartable threaded driver (e.g. JackNetDriver).

The idea is to behave as the "dummy" driver, until the network connection is really started and processing starts. The Execute method will call the ProcessNull method from the base JackWaiterDriver, until the decorated driver Initialize method returns. A helper JackDriverStarter thread is used for that purpose.

Definition at line 38 of file JackWaitThreadedDriver.h.

## Member Function Documentation

## ◆ Init()

bool Jack::JackWaitThreadedDriver::Init | ( |  | ) |
| virtual

Called once when the thread is started

Reimplemented from Jack::JackThreadedDriver.

Definition at line 33 of file JackWaitThreadedDriver.cpp.

## ◆ ExecuteReal()

bool Jack::JackWaitThreadedDriver::ExecuteReal | ( |  | ) |
| protectedvirtual

Real work to be done when the decorated driver has finish initializing

Reimplemented in Jack::JackWaitCallbackDriver.

Definition at line 52 of file JackWaitThreadedDriver.cpp.

The documentation for this class was generated from the following files:

- JackWaitThreadedDriver.h
- JackWaitThreadedDriver.cpp